make: *** [phalcon.lo] Error 1 when install on centos

I install all dependencies / requires for phalcon , and pull from git then when i run ./install i got theese errors :

checking whether -lc should be explicitly linked in... no checking dynamic linker characteristics... GNU/Linux ld.so checking how to hardcode library paths into programs... immediate checking whether stripping libraries is possible... yes checking if libtool supports shared libraries... yes checking whether to build shared libraries... yes checking whether to build static libraries... no configure: creating ./config.status config.status: creating config.h config.status: executing libtool commands /bin/sh /root/down/cphalcon/build/64bits/libtool --mode=compile gcc -I. -I/root/down/cphalcon/build/64bits -DPHP_ATOM_INC -I/root/down/cphalcon/build/64bits/include -I/root/down/cphalcon/build/64bits/main -I/root/down/cphalcon/build/64bits -I/usr/include/php -I/usr/include/php/main -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/php/ext/date/lib -DPHALCON_RELEASE -DHAVE_CONFIG_H -march=native -mtune=native -O2 -finline-functions -fomit-frame-pointer -fvisibility=hidden -c /root/down/cphalcon/build/64bits/phalcon.c -o phalcon.lo libtool: compile: gcc -I. -I/root/down/cphalcon/build/64bits -DPHP_ATOM_INC -I/root/down/cphalcon/build/64bits/include -I/root/down/cphalcon/build/64bits/main -I/root/down/cphalcon/build/64bits -I/usr/include/php -I/usr/include/php/main -I/usr/include/php/TSRM -I/usr/include/php/Zend -I/usr/include/php/ext -I/usr/include/php/ext/date/lib -DPHALCON_RELEASE -DHAVE_CONFIG_H -march=native -mtune=native -O2 -finline-functions -fomit-frame-pointer -fvisibility=hidden -c /root/down/cphalcon/build/64bits/phalcon.c -fPIC -DPIC -o .libs/phalcon.o /root/down/cphalcon/build/64bits/phalcon.c: In function ‘phalcon_array_unshift’: /root/down/cphalcon/build/64bits/phalcon.c:6058: error: void value not ignored as it ought to be make: *** [phalcon.lo] Error 1 What can i do ?

edited Apr '14

Install:

  • sudo yum install php-pear
  • sudo yum install php-devel
  • sudo yum install gcc
  • sudo yum install pcre-devel


38.7k
edited May '15

Hey man

Try to this

cd cphalcon/ext
 make clean
 phpize
 ./configuration
 make && sudo make install


1.3k

ZVAL' [-Wimplicit-function-declaration] COPY_PZVAL_TO_ZVAL(*return_value, rv); ^ In file included from /usr/include/php/20151012/Zend/zend.h:39:0, from /usr/include/php/20151012/main/php.h:36, from /home/v/my/cphalcon/ext/phalcon.c:8: /home/v/my/cphalcon/ext/kernel/fcall.h: In function 'zephir_return_call_zval_function': /usr/include/php/20151012/Zend/zend_variables.h:122:48: warning: passing argument 1 of '_zval_ptr_dtor' from incompatible pointer type [-Wincompatible-pointer-types]

define zval_ptr_dtor(zval_ptr) _zval_ptr_dtor((zval_ptr) ZEND_FILE_LINE_C

                                            ^

/home/v/my/cphalcon/ext/kernel/fcall.h:598:3: note: in expansion of macro 'zval_ptr_dtor' zval_ptr_dtor(return_value_ptr); ^ /usr/include/php/20151012/Zend/zend_variables.h:112:15: note: expected 'zval {aka struct _zval_struct }' but argument is of type 'zval {aka struct _zval_struct }' ZEND_API void _zval_ptr_dtor(zval *zval_ptr ZEND_FILE_LINE_DC); ^ /home/v/my/cphalcon/ext/kernel/fcall.h: In function 'zephir_return_call_class_method': /usr/include/php/20151012/Zend/zend_variables.h:122:48: warning: passing argument 1 of '_zval_ptr_dtor' from incompatible pointer type [-Wincompatible-pointer-types]

define zval_ptr_dtor(zval_ptr) _zval_ptr_dtor((zval_ptr) ZEND_FILE_LINE_C

                                            ^

/home/v/my/cphalcon/ext/kernel/fcall.h:634:3: note: in expansion of macro 'zval_ptr_dtor' zval_ptr_dtor(return_value_ptr); ^ /usr/include/php/20151012/Zend/zend_variables.h:112:15: note: expected 'zval {aka struct _zval_struct }' but argument is of type 'zval {aka struct _zval_struct }' ZEND_API void _zval_ptr_dtor(zval *zval_ptr ZEND_FILE_LINE_DC); ^ Makefile:194: recipe for target 'phalcon.lo' failed make: *** [phalcon.lo] Error 1



1.3k
edited Jan '16

I want to build the phalcon2.0.0 in my php7.0.3, but stop by these error below;

edited Jan '16

phalcon doesnt work on php7 as of yet

//André



1.3k

oh, then i hove to study laravel first. i should do my job by laravel instead.

phalcon doesnt work on php7 as of yet

//André